int nntp_getports(int c, int *local, int *remote);
int nntp_lookup(char *ip, char *rslt[], int max);
int nntp_read_timed(int c, char *bf, int len, int msec, char *reason);
int nntp_write_fast(int c, char *s, int sz);
int nntp_getpending(int c);
int nntp_isthread(int c);
void nntp_lasterror(void);
int nntp_input_window(int x);
void nntp_perror(char *s);
char *nntp_localip(int c);
void nntp_setpending(int c, int v);
int nntp_outsz(int c);
int nntp_getbusy(int c);
void nntp_setbusy(int c, int v);
int nntp_iswaiting(void);
int nntp_toofast(int c);
int nntp_curspeed(int c);
void nntp_setrcvbf_chan(int c, int sz);
void nntp_speedin(int c, int r);
void nntp_startup(void);
void nntp_setblock(int c, int b);
int nntp_outsz(int c);
int nntp_isbusy(int c);
void nntp_close(int c);
void nntp_doclose(int c);
int nntp_set_busy(int c);
int nntp_setnodup(int x);
int nntp_set_dtable(int x);

void nntp_setsndbf(int chan, int sz);
int nntp_write_flush(int c);
int nntp_chan(int c);
int nntp_open(char *dst_name);
int nntp_read(int c, char *ss, int sz);
int nntp_socket_read(int c, char *bf, int sz);
int nntp_socket_write(int c, char *bf, int sz);
int nntp_write(int c, String *s);
int nntp_write_s(int c, char *bf, int sz);
int nntp_write_now(int c);
void nntp_init(int pchan);
void nntp_wait(void);
void nntp_newchan(void);
void nntp_setsleep(int x);
int nntp_isopen(int c);
char *nntp_hostname(void);
char *nntp_getstatus(void);
void nntp_alwaysblock(void);
void nntp_listen_hostport(char *hostport);
